# 获取用户数据的 API 实现
from loguru import logger
import json
from API_TitleServer import apiSDGB

def apiGetUserData(userId:int) -> str:
    '''已弃用，将逐步淘汰'''
    logger.warning("apiGetUserData 已弃用，将逐步淘汰。")
    # 构建 Payload
    data = json.dumps({
        "userId": userId
    })
    # 发送请求
    userdata_result = apiSDGB(data, "GetUserDataApi", userId)
    # 返回响应
    return userdata_result

def apiGetUserThing(userId:int, thing:str) -> str:
    '''获取用户数据的 API 请求器，返回 Json String'''
    # 构建 Payload
    data = json.dumps({
        "userId": userId
    })
    # 发送请求
    userthing_result = apiSDGB(data, "GetUser" + thing + "Api", userId)
    # 返回响应
    return userthing_result

def implGetUser_(thing:str, userId:int) -> dict:
    '''获取用户数据的 API 实现，返回 Dict'''
    # 获取 Json String
    userthing_result = apiGetUserThing(userId, thing)
    # 转换为 Dict
    userthing_dict = json.loads(userthing_result)
    # 返回 Dict
    return userthing_dict